Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023909
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-05-24 07:442013-07-24 17:16
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision030ac3e96d99
ProjectionnoneETAnoneTarget VersionRMP26
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023909: When the system is in offline, no response from Use Credit button

DescriptionKeeping the system offline, i tried to create a receipt, then i tried to close the receipt by clicking the "Use Credit" button.

Defect: But there is no response from the system, after clicking the "Use Credit" button.
Steps To ReproduceDisconnect the internet connection, then from webpos try to create a receipt.
Then to close the receipt, click Total amount and try to click "Use Credit" button

Defect: But there is no response from the system, after clicking the "Use Credit" button.

Note: with the same configuration, when the system is in online 'Use Credit' button working fine.
TagsNo tags attached.
Attached Filespng file icon When the system is in offline, there is no response from Use Credit button.png [^] (189,175 bytes) 2013-05-24 07:44

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060004)
jecharri (developer)
2013-07-16 13:04

ticket 22423
(0060056)
hgbot (developer)
2013-07-16 18:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 030ac3e96d9903d9f8c719c9cda8aafffc58bf84
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 18:30:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/030ac3e96d9903d9f8c719c9cda8aafffc58bf84 [^]

Fixed issue 23909. Pay on credit will now work offline.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalcreditsales.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0060057)
hgbot (developer)
2013-07-16 19:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b3f7803b62025ba9fcab5b3f36566bd75b208eec
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 19:42:27 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b3f7803b62025ba9fcab5b3f36566bd75b208eec [^]

Related to issue 23909. Fixed typo

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0060185)
guilleaer (developer)
2013-07-23 17:44

verified
(0060237)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 030ac3e96d9903d9f8c719c9cda8aafffc58bf84
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 18:30:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/030ac3e96d9903d9f8c719c9cda8aafffc58bf84 [^]

Fixed issue 23909. Pay on credit will now work offline.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalcreditsales.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0060238)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: b3f7803b62025ba9fcab5b3f36566bd75b208eec
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 19:42:27 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/b3f7803b62025ba9fcab5b3f36566bd75b208eec [^]

Related to issue 23909. Fixed typo

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---

- Issue History
Date Modified Username Field Change
2013-05-24 07:44 sureshbabu New Issue
2013-05-24 07:44 sureshbabu Assigned To => marvintm
2013-05-24 07:44 sureshbabu File Added: When the system is in offline, there is no response from Use Credit button.png
2013-07-16 13:04 jecharri Note Added: 0060004
2013-07-16 13:04 jecharri Target Version => RMP26
2013-07-16 18:30 hgbot Checkin
2013-07-16 18:30 hgbot Note Added: 0060056
2013-07-16 18:30 hgbot Status new => resolved
2013-07-16 18:30 hgbot Resolution open => fixed
2013-07-16 18:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/030ac3e96d9903d9f8c719c9cda8aafffc58bf84 [^]
2013-07-16 19:44 hgbot Checkin
2013-07-16 19:44 hgbot Note Added: 0060057
2013-07-23 17:44 guilleaer Review Assigned To => guilleaer
2013-07-23 17:44 guilleaer Note Added: 0060185
2013-07-23 17:44 guilleaer Status resolved => closed
2013-07-23 17:44 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060237
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/030ac3e96d9903d9f8c719c9cda8aafffc58bf84 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/030ac3e96d9903d9f8c719c9cda8aafffc58bf84 [^]
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060238
2013-07-24 17:16 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker